RealServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.RealServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip
Interface RealServer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  BigIPRealServer

    public interface RealServer

extends LogicalElement

A real server that a VIP maps to

Author:
  johan
Naming Rules:
  0="parent,mappedIpAddress,realPort"
Persistable:
  true
Table Name:
  REALSRVR
Display Name:
  mappedIpAddress,realPort

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getIMask()` Imask that can be used to indicate an address range for the mapped IP address Currently alteon specific
`int` | `getLoadBalancingWeight()` Load balancing weight if the server is part of a load balancing group
`IpAddress` | `getMappedIpAddress()` Real server IP address that the mapping goes to
`VipFunction` | `getParent()` Parent pointer to VipFunction
`int` | `getRealPort()`
`boolean` | `hasIMask()`
`boolean` | `hasLoadBalancingWeight()`
`boolean` | `hasMappedIpAddress()`
`boolean` | `hasParent()`
`boolean` | `hasRealPort()`
`void` | `setIMask(IpAddress mask)`
`void` | `setLoadBalancingWeight(int weight)`
`void` | `setMappedIpAddress(IpAddress ip)`
`void` | `setParent(VipFunction parent)`
`void` | `setRealPort(int realPort)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    VipFunction getParent()
                          throws AttributeNotSetException

  Parent pointer to VipFunction

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(VipFunction parent)

### hasParent

    boolean hasParent()

### getMappedIpAddress

    IpAddress getMappedIpAddress()
                                 throws AttributeNotSetException

  Real server IP address that the mapping goes to

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Virtualizes" reverse="false"

### setMappedIpAddress

    void setMappedIpAddress(IpAddress ip)

### hasMappedIpAddress

    boolean hasMappedIpAddress()

### getRealPort

    int getRealPort()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRealPort

    void setRealPort(int realPort)

### hasRealPort

    boolean hasRealPort()

### getIMask

    IpAddress getIMask()
                       throws AttributeNotSetException

  Imask that can be used to indicate an address range for the mapped IP address Currently alteon specific

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setIMask

    void setIMask(IpAddress mask)

### hasIMask

    boolean hasIMask()

### getLoadBalancingWeight

    int getLoadBalancingWeight()
                               throws AttributeNotSetException

  Load balancing weight if the server is part of a load balancing group

  Throws:
    `AttributeNotSetException`

### setLoadBalancingWeight

    void setLoadBalancingWeight(int weight)

### hasLoadBalancingWeight

    boolean hasLoadBalancingWeight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD